import request from '@/utils/request'

// 不想写
export function getStoreAddress(query) {
    return request({
        url: 'mobile/store/getStoreAddress',
        method: 'get',
        params: query
    })
}
export function valid(query) {
    return request({
        url: 'mobile/store/valid',
        method: 'get',
        params: query
    })
}
export function checkStoreAddressByStoreCode(query) {
    return request({
        url: 'mobile/store/checkStoreAddressByStoreCode',
        method: 'get',
        params: query
    })
}
export function updateStoreAddress(data) {
    return request({
        url: 'mobile/store/updateStoreAddress',
        method: 'post',
        data
    })
}
export function addPhotoK(data) {
    return request({
        url: 'mobile/customerClueInfo/addPhoto',
        method: 'post',
        data
    })
}
export function getCustomerClueAnswerById(query) {
    return request({
        url: 'mobile/customerClueInfo/getCustomerClueAnswerById',
        method: 'get',
        params: query
    })
}
export function getDeptInfo(query) {
    return request({
        url: 'mobile/customerClueInfo/getDeptInfo',
        method: 'get',
        params: query
    })
}
export function updateCustomerClueDept(query) {
    return request({
        url: 'mobile/customerClueInfo/updateCustomerClueDept',
        method: 'get',
        params: query
    })
}